<div class='card'>
  <div class='card-body'>
    <div class='row'>
      <div class="col-lg-6 col-sm-auto d-none d-md-block">
        <div class="card-body-title"><h4><span [translate]="'CoursesLocal.RegisteredStudents'"></span></h4></div>
      </div>
      <div class="col-10 d-md-none">
        <div class="card-body-title s--text2"><span [translate]="'CoursesLocal.RegisteredStudents'"></span></div>
      </div>
      <div class="col-lg-6 col-sm-auto d-none d-md-block" align="right">
        <button type="button" disabled  class="btn btn-secondary s--btn s--btn-secondary s--text"><span
          [translate]="'CoursesLocal.Communication'"></span></button>
        <button type="button" class="btn btn-secondary s--btn s--btn-secondary s--text " (click)="exportStudentList(selectedClass)"> <span
          [translate]="'CoursesLocal.DownloadList'"></span></button>
      </div>
      <div class="col-2 d-md-none pt-1" align="center">
          <div class="btn-group" dropdown>
            <i dropdownToggle class ="fa fa-ellipsis-v big-icon"></i>
            <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
              <li role="menuitem"><span class="dropdown-item" align="right" (click)="exportStudentList(selectedClass)" [translate] ="'CoursesLocal.DownloadList'"></span></li>
              <li role="menuitem"><a class="dropdown-item disabled" href="#"  [translate] = "'CoursesLocal.Communication'" ></a></li>
            </ul>
          </div>
      </div>
    </div>
    <div class="details_student_navbar d-none d-md-block">
      <form class="form-inline p-2 col">
        <div class="form-group col-auto">
          <label class="pr-2" for="searchText" [translate]="'CoursesLocal.Filter'"></label>
          <div *ngIf="selectedClass?.sections && selectedClass?.sections.length > 0; else no_sections">
            <select [(ngModel)]="selectedClassSection" name="selectSection" class="form-control" (change)="selectChangeHandler(selectedClassSection)">
              <option [ngValue]="null"><span [translate]="'CoursesLocal.FilterBySection'"></span></option>
              <option *ngFor = "let section of selectedClass?.sections" [ngValue]="section.section"> {{section?.name}}</option>
            </select>
          </div>
          <ng-template #no_sections>
            <select class="form-control" >
              <option ><span [translate]="'CoursesLocal.NoFilter'"></span></option>
            </select>
          </ng-template>
        </div>
        <div class="form-group col-lg-8 col-sm-7">
          <label class="pr-2" for="searchText" [translate]="'CoursesLocal.Search'"></label>
          <input spellcheck="false" (keyup)="onSearchTextKeyUp($event)" type="text" id="searchText" [(ngModel)]="searchText"
                 (keydown)="onSearchTextKeyDown($event)" name="searchText" class="form-control col text-left" [placeholder]="'CoursesLocal.SearchPlaceHolder' | translate">
        </div>
      </form>
    </div>


    <div class="table-body" >
      <div class="container1" >
        <div class="s--list-group-header row ">
          <div class="col-xl-2 col-lg-3 d-none d-lg-block" [translate]="'CoursesLocal.Name'" ></div>
          <div class="col-lg-2 d-none d-lg-block" [translate]="'CoursesLocal.Aem'"></div>
          <div class="col-xl-1 col-lg-2 d-none d-lg-block" [translate]="'CoursesLocal.Semester'"></div>
          <div class="col-xl-2 d-none d-xl-block" [translate]="'CoursesLocal.Department'"></div>
          <div class="col-auto d-none d-lg-block" [translate]="'CoursesLocal.Type'"></div>
          <div class="col-auto"></div>
        </div>
          <div>
            <div class="inner__content"
                 infinite-scroll
                 [infiniteScrollDistance]="2"
                 [infiniteScrollUpDistance]="2"
                 [infiniteScrollThrottle]="50"
                 [infiniteScrollContainer]="selector"
                 [fromRoot]="true"
                 (scrolled)="onScroll()">
          <div class="s--list-group">
            <div class="s--list-group-item row" *ngFor="let courseClassStudent of scrollValues">
              <div class="col-xl-2 col-lg-3 col-md-3 col-5">{{courseClassStudent.student.familyName}} {{courseClassStudent.student.givenName}}</div>
              <div class="col-lg-2 col-md-2 col-5 ">{{courseClassStudent.student.studentIdentifier}}</div>
              <div class="col-xl-1 col-lg-2 col-md-1 d-none d-md-block">{{courseClassStudent.registrationSemester}}</div>
              <div class="col-xl-2 d-none d-xl-block">{{courseClassStudent.student.department.name}}</div>
              <div class="col-lg-3 col-md-3 d-none d-md-block">{{courseClassStudent.courseType.name}}</div>
              <div class="col-lg-2 col-md-3  d-none d-md-block" align="right">
                <button type="button" disabled class="btn  btn-secondary btn-block s--btn s--btn-secondary s--text pl-sm-1 pr-sm-1"> <span
                  [translate]="'CoursesLocal.Communicate'"></span></button>
              </div>
              <div class="col-1 d-md-none" align="right">
                <div class="btn-group" dropdown>
                  <i dropdownToggle class ="fa fa-ellipsis-v big-icon2"></i>
                  <ul *dropdownMenu class="dropdown-menu dropdown-menu-right"  role="menu">
                    <li role="menuitem"><span class="dropdown-item ml-4 disabled" href="#"  [translate] = "'CoursesLocal.Communicate'"></span></li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          </div>
        </div>
      </div>
      </div>
    </div>
  </div>
